> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a List

> Update the details of a specific list by id. However, you can only update the names using this API



## OpenAPI

````yaml /openapi-v1.json patch /list/{id}
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /list/{id}:
    patch:
      tags:
        - Lists
      summary: Update a List
      description: >-
        Update the details of a specific list by id. However, you can only
        update the names using this API
      operationId: update-a-list
      parameters:
        - name: id
          in: path
          required: true
          description: List Id
          schema:
            type: string
        - name: id
          in: query
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                name:
                  type: string
                  description: >-
                    Your List name. 

                    Only alphanumeric characters, underscore, hyphen, dot and
                    space allowed.


                    Minimum: 3

                    Maximum: 100
                  minLength: 3
                  maxLength: 100
                  pattern: ^[a-zA-Z0-9._ \-]+$/i
              required:
                - name
            examples:
              example-1:
                value:
                  name: Subscibers List
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  listdetails:
                    type: object
                    properties:
                      list_type:
                        type: string
                        minLength: 1
                      name:
                        type: string
                        minLength: 1
                    required:
                      - id
                      - list_type
                      - name
                required:
                  - listdetails
              examples:
                example-1:
                  value:
                    listdetails:
                      id: HHda
                      list_type: Normal
                      name: List Registration
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                          minLength: 1
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: name
                        message: >-
                          Only alphanumeric characters, underscore, hyphen, dot
                          and space allowed
        '401':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
        '404':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                          minLength: 1
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: id
                        message: Record not found with the given Id
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````